WordPress.org

Ready to get started?Download WordPress

Forums

Fix for auto upgrading issue with 1and1 Hosting (2 posts)

  1. davidizor
    Member
    Posted 3 years ago #

    This is a fix for the upgrading issues on 1and1 shared hosting.

    This is also a fix to the media browser, uploader, auto installer issues that 1and1 users experience.

    1and1 shared servers by default are running on PHP4 in order to upgrade wordpress automatically or to use many of the other features, like the media browser and uploader, you need to have PHP5 running on your server. Here is the fix.

    To enable PHP5 on your 1and1 shared server, you need to add this line of code to your .htaccess file:

    Options All -Indexes
    AddType x-mapp-php5 .php
    AddHandler x-mapp-php5 .php

    If you do not have an .htaccess file you need to create one.

  2. Ryan Cowles
    Member
    Posted 3 years ago #

    Thank you so much for this! I have been working on a clients site, who has it hosted on 1and1, and this has been driving me crazy. Thanks for helping to keep me sane!

Topic Closed

This topic has been closed to new replies.

About this Topic